curl -X GET "https://api.medstrato.com/v1/campaigns?status=completed&type=product_update" \
-H "Authorization: Bearer sk_live_your_api_key"
{
"data": [
{
"id": "cmp_abc123",
"name": "TAVR 2.0 Product Launch",
"description": "Announcing the new generation TAVR system",
"type": "new_product_launch",
"status": "completed",
"audience_count": 150,
"metrics": {
"sent": 150,
"delivered": 148,
"opened": 112,
"clicked": 45,
"open_rate": 0.76,
"click_rate": 0.30
},
"schedule": {
"type": "immediate"
},
"created_at": "2024-01-05T10:00:00Z",
"sent_at": "2024-01-05T14:00:00Z"
}
],
"meta": {
"page": 1,
"per_page": 20,
"total": 12
}
}
Campaigns
List Campaigns
Retrieve a paginated list of campaigns with engagement metrics.
GET
/
v1
/
campaigns
curl -X GET "https://api.medstrato.com/v1/campaigns?status=completed&type=product_update" \
-H "Authorization: Bearer sk_live_your_api_key"
{
"data": [
{
"id": "cmp_abc123",
"name": "TAVR 2.0 Product Launch",
"description": "Announcing the new generation TAVR system",
"type": "new_product_launch",
"status": "completed",
"audience_count": 150,
"metrics": {
"sent": 150,
"delivered": 148,
"opened": 112,
"clicked": 45,
"open_rate": 0.76,
"click_rate": 0.30
},
"schedule": {
"type": "immediate"
},
"created_at": "2024-01-05T10:00:00Z",
"sent_at": "2024-01-05T14:00:00Z"
}
],
"meta": {
"page": 1,
"per_page": 20,
"total": 12
}
}
Query Parameters
Page number
Results per page (max 100)
Filter by status. Options:
draft, active, paused, completedFilter by campaign type. Options:
product_update, event_invitation, new_product_launch, newsletter, customSearch by campaign name
Response
Show Campaign object
Show Campaign object
Unique identifier
Campaign name
Campaign description
Campaign type
Current status
Number of recipients
Schedule settings
Creation timestamp
Send timestamp
curl -X GET "https://api.medstrato.com/v1/campaigns?status=completed&type=product_update" \
-H "Authorization: Bearer sk_live_your_api_key"
{
"data": [
{
"id": "cmp_abc123",
"name": "TAVR 2.0 Product Launch",
"description": "Announcing the new generation TAVR system",
"type": "new_product_launch",
"status": "completed",
"audience_count": 150,
"metrics": {
"sent": 150,
"delivered": 148,
"opened": 112,
"clicked": 45,
"open_rate": 0.76,
"click_rate": 0.30
},
"schedule": {
"type": "immediate"
},
"created_at": "2024-01-05T10:00:00Z",
"sent_at": "2024-01-05T14:00:00Z"
}
],
"meta": {
"page": 1,
"per_page": 20,
"total": 12
}
}
⌘I